Bug 1470989 - Kickstart rescue command options not honored (anaconda goes interactive).
Kickstart rescue command options not honored (anaconda goes interactive).
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 04:35 EDT by Radek Vykydal
Modified: 2018-05-29 08:04 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-27.19-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:04:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Vykydal 2017-07-14 04:35:40 EDT
When specifying kickstart rescue command, installer goes interactive and asks how to proceed (same as when inst.rescue boot option is used). It should just mount the /mnt/sysimage based on rescue command options (--nomount, --romount) and run the shell on tty, which would allow eg for automatic repairs/checks of system using kickstart %pre or %post scripts.
Comment 1 Radek Vykydal 2017-07-14 05:24:41 EDT
https://github.com/rhinstaller/anaconda/pull/1127
Comment 2 Artem Bityutskiy 2017-08-18 10:43:39 EDT
Is there a chance this will get to F27?
Comment 3 Artem Bityutskiy 2017-08-18 11:07:00 EDT
FYI, I've cherry-picked the patches from the pull request on top of anaconda-26.21.10-1 and tested them. I did not test 'inst.rescue', only KS rescue.

Both 'rescue' and 'rescue --nomount' work as expected, thanks!
Comment 4 Radek Vykydal 2017-08-21 07:14:27 EDT
Yes, this will be included in F27.
Comment 5 Vit Ry 2017-08-27 13:16:13 EDT
Could you, please, cherry-pick to rhel7-branch also? :)
Comment 6 Fedora End Of Life 2018-05-03 04:23:42 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2018-05-29 08:04:21 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.